Package org.apache.sling.starter.access.models

# Class PrivilegeItem

java.lang.Object
org.apache.sling.starter.access.models.PrivilegeItem

public class PrivilegeItem extends Object

## Constructor Summary

Constructors
Constructor
Description
`PrivilegeItem(String name, boolean granted, boolean denied, String longestPath)`
`PrivilegeItem(String name, boolean granted, boolean denied, String longestPath, List<RestrictionItem> allowRestrictions, List<RestrictionItem> denyRestrictions)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addAllowRestrictionToDelete(String restrictionName)`
`void`
`addDenyRestrictionToDelete(String restrictionName)`
`void`
`addExtraCssClass(String addClass)`
`List<RestrictionItem>`
`getAllowRestrictions()`
`Collection<String>`
`getAllowRestrictionsToDelete()`
`boolean`
`getDenied()`
`List<RestrictionItem>`
`getDenyRestrictions()`
`Collection<String>`
`getDenyRestrictionsToDelete()`
`long`
`getDepth()`
`String`
`getDepthCss()`
`boolean`
`getGranted()`
`String`
`getLongestPath()`
`String`
`getName()`
`boolean`
`getNone()`
`boolean`
`isAllowExists()`
`boolean`
`isDenyExists()`
`void`
`setAllowExists(boolean allowExists)`
`void`
`setAllowRestrictions(List<RestrictionItem> restrictions)`
`void`
`setDenied(boolean denied)`
`void`
`setDenyExists(boolean denyExists)`
`void`
`setDenyRestrictions(List<RestrictionItem> restrictions)`
`void`
`setGranted(boolean granted)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PrivilegeItem

public PrivilegeItem(String name, boolean granted, boolean denied, String longestPath)

### PrivilegeItem

public PrivilegeItem(String name, boolean granted, boolean denied, String longestPath, List<RestrictionItem> allowRestrictions, List<RestrictionItem> denyRestrictions)

## Method Details

### getName

public String getName()

### getNone

public boolean getNone()

### getGranted

public boolean getGranted()

### getDenied

public boolean getDenied()

### setGranted

public void setGranted(boolean granted)

### setDenied

public void setDenied(boolean denied)

### isAllowExists

public boolean isAllowExists()

### setAllowExists

public void setAllowExists(boolean allowExists)

### isDenyExists

public boolean isDenyExists()

### setDenyExists

public void setDenyExists(boolean denyExists)

### getLongestPath

public String getLongestPath()

### addExtraCssClass

public void addExtraCssClass(String addClass)

### getDepthCss

public String getDepthCss()

### getDepth

public long getDepth()

### getAllowRestrictions

public List<RestrictionItem> getAllowRestrictions()

### getDenyRestrictions

public List<RestrictionItem> getDenyRestrictions()

### setAllowRestrictions

public void setAllowRestrictions(List<RestrictionItem> restrictions)

### setDenyRestrictions

public void setDenyRestrictions(List<RestrictionItem> restrictions)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### addAllowRestrictionToDelete

public void addAllowRestrictionToDelete(String restrictionName)

### getAllowRestrictionsToDelete

public Collection<String> getAllowRestrictionsToDelete()

### addDenyRestrictionToDelete

public void addDenyRestrictionToDelete(String restrictionName)

### getDenyRestrictionsToDelete

public Collection<String> getDenyRestrictionsToDelete()